"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.canTransfer = void 0;
function isAssetWithProof(asset) {
    return 'rpcAsset' in asset;
}
function canTransfer(asset) {
    const ownership = isAssetWithProof(asset)
        ? asset.rpcAsset.ownership
        : asset.ownership;
    const isFrozen = ownership.frozen === true || ownership.non_transferable === true;
    return !isFrozen;
}
exports.canTransfer = canTransfer;
//# sourceMappingURL=canTransfer.js.map